Package org.apache.lucene.analysis.core

# Class LetterTokenizerFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenizerFactory
org.apache.lucene.analysis.core.LetterTokenizerFactory

public class LetterTokenizerFactory extends TokenizerFactory
Factory for `LetterTokenizer`.

     <fieldType name="text_letter" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.LetterTokenizerFactory" maxTokenLen="256"/>
       </analyzer>
     </fieldType>

Options:

- maxTokenLen: max token length, must be greater than 0 and less than MAX_TOKEN_LENGTH_LIMIT (1024*1024). It is rare to need to change this else `CharTokenizer`::DEFAULT_MAX_TOKEN_LEN

Since:
  3.1
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "letter"

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  SPI name

  ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LetterTokenizerFactory()`
  Default ctor for compatibility with SPI
  `LetterTokenizerFactory(Map<String,String> args)`
  Creates a new LetterTokenizerFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LetterTokenizer`
  `create(AttributeFactory factory)`

  ### Methods inherited from class org.apache.lucene.analysis.TokenizerFactory

  `availableTokenizers, create, findSPIName, forName, lookupClass, reloadTokenizers`

  ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    SPI name
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LetterTokenizerFactory

    public LetterTokenizerFactory(Map<String,String> args)
    Creates a new LetterTokenizerFactory

  - ### LetterTokenizerFactory

    public LetterTokenizerFactory()
    Default ctor for compatibility with SPI

- ## Method Details

  - ### create

    public LetterTokenizer create(AttributeFactory factory)
    Specified by:
      `create` in class `TokenizerFactory`